stages:
  - build

build:
  stage: build
  image: node:latest
  before_script:
    - cd client
    - npm install
    - npm i vite #installing vite
    - export PATH=$PATH:./node_modules/.bin
  script:
    - vite build #Install
  artifacts:
    paths:
      - client
  only:
    - main 
